## alembic 0.9.3

=== docs/build/requirements.txt ===
changelog>=0.3.5
sphinx-paramlinks>=0.3.2
python-dateutil
git+https://bitbucket.org/zzzeek/sqlalchemy.git

=== debian/changelog ===
alembic (0.9.3-2ubuntu1) bionic; urgency=medium

  * Demote runtime dependency on python{3}-editor to Suggests to avoid
    inclusion in Ubuntu main.
  * d/p/disable-editor.patch: Patchout hard requirement on python-editor.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Dec 2017 10:36:17 +0000

alembic (0.9.3-2) unstable; urgency=medium

  * Uploading to unstable.
  * Ran wrap-and-sort -bast.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 12:23:36 +0000

alembic (0.9.3-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Bump upstream copyright year
  * d/watch: Use Bitbucket GIT repository
  * d/p/0002-Fix-test-for-Python-3.6.patch: Removed, applied upstream
  * Add python{3,}-dateutil to B-D

 -- Ondřej Nový <onovy@debian.org>  Sat, 05 Aug 2017 20:47:03 +0200

alembic (0.8.8-3) unstable; urgency=medium

  * Maintainer: DPMT team
  * Vcs-* move to DPMT
  * Standards-Version is 4.0.0 now
  * d/copyright
    - Use https in format URL
    - Bump my copyright years
  * Use pybuild
  * Remove openstack-pkg-tools from B-D, not needed anymore
  * Fix FTBFS with Python 3.6 (Closes: #868972)
  * Remove alternatives for alembic CLI and always use Python 3 version
  * d/s/options: Remove extend-diff-ignore of .gitreview
  * Use autopkgtest-pkg-python testsuite and test alembic CLI
  * Refresh manpage

 -- Ondřej Nový <onovy@debian.org>  Sat, 05 Aug 2017 18:57:50 +0200

=== debian/control ===
Source: alembic
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-changelog,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-paramlinks,
Build-Depends-Indep:
 python-dateutil,
 python-editor,
 python-mako,
 python-mock,
 python-pytest,
 python-sqlalchemy (>= 1.0),
 python3-dateutil,
 python3-editor,
 python3-mako,
 python3-mock,
 python3-pytest,
 python3-sqlalchemy (>= 1.0),
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/alembic.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/alembic.git
Homepage: https://bitbucket.org/zzzeek/alembic
Testsuite: autopkgtest-pkg-python

Package: alembic
Architecture: all
Depends:
 python3-alembic (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-alembic (<< 0.8.8-3),
 python3-alembic (<< 0.8.8-3),
Replaces:
 python-alembic (<< 0.8.8-3),
 python3-alembic (<< 0.8.8-3),
Description: lightweight database migration tool for SQLAlchemy
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.
 .
 This package provides /usr/bin/alembic script and documentation for Alembic,
 and depends on the python-alembic package which contains all the actual code
 (in Python 2) for Alembic to actually work.

Package: python-alembic
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 alembic (<< 0.8.8-3),
Replaces:
 alembic (<< 0.6.3+ds-2),
Suggests:
 python-editor,
Description: lightweight database migration tool for SQLAlchemy - Python 2.x
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.
 .
 This package contains the Python 2.x module.

Package: python3-alembic
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Breaks:
 alembic (<< 0.8.8-3),
Suggests:
 python3-editor,
Description: lightweight database migration tool for SQLAlchemy - Python 3.x
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=alembic
export PYBUILD_BEFORE_TEST=cp {dir}/setup.cfg {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/setup.cfg ; rm -r {build_dir}/scratch

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs/build $(CURDIR)/debian/alembic/usr/share/doc/alembic/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	dh_auto_install

	rm -rf debian/python-alembic/usr/bin
	mkdir -p debian/alembic/usr
	mv $(CURDIR)/debian/python3-alembic/usr/bin $(CURDIR)/debian/alembic/usr/

help2man:
	help2man --version-string=$(DEB_VERSION_UPSTREAM) -n "lightweight database migration tool for usage with the SQLAlchemy" -N alembic > debian/alembic.1
	sed -i "s/,\(\w\)/, \1/g" debian/alembic.1

## alembic 0.9.7

=== debian/changelog ===
alembic (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/control: Set Vcs-* to salsa.debian.org
  * Bump debhelper compat level to 11
  * Remove empty site_custom_css.css from docs
  * d/control: Use ${python3:Depends} from alembic
  * d/copyright: Bump my copyright year
  * d/rules: Remove test_schema.db after tests

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 12:45:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-setuptools,
@@ -29,9 +28,9 @@
  python3-mock,
  python3-pytest,
  python3-sqlalchemy (>= 1.0),
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/alembic.git/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/alembic.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/alembic
+Vcs-Git: https://salsa.debian.org/python-team/modules/alembic.git
 Homepage: https://bitbucket.org/zzzeek/alembic
 Testsuite: autopkgtest-pkg-python
 
@@ -40,7 +39,7 @@
 Depends:
  python3-alembic (=${binary:Version}),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${sphinxdoc:Depends},
 Breaks:
  python-alembic (<< 0.8.8-3),
@@ -75,8 +74,6 @@
  alembic (<< 0.8.8-3),
 Replaces:
  alembic (<< 0.6.3+ds-2),
-Suggests:
- python-editor,
 Description: lightweight database migration tool for SQLAlchemy - Python 2.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
@@ -101,8 +98,6 @@
  ${sphinxdoc:Depends},
 Breaks:
  alembic (<< 0.8.8-3),
-Suggests:
- python3-editor,
 Description: lightweight database migration tool for SQLAlchemy - Python 3.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk
 export PYBUILD_NAME=alembic
 export PYBUILD_BEFORE_TEST=cp {dir}/setup.cfg {build_dir}
-export PYBUILD_AFTER_TEST=rm {build_dir}/setup.cfg ; rm -r {build_dir}/scratch
+export PYBUILD_AFTER_TEST=rm {build_dir}/setup.cfg ; rm -r {build_dir}/scratch ; rm {build_dir}/test_schema.db
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -12,6 +12,7 @@
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	sphinx-build -b html docs/build $(CURDIR)/debian/alembic/usr/share/doc/alembic/html
 	dh_sphinxdoc
+	rm $(CURDIR)/debian/alembic/usr/share/doc/alembic/html/_static/site_custom_css.css
 endif
 
 override_dh_auto_install:

## alembic 1.0.0

=== debian/changelog ===
alembic (1.0.0-3) unstable; urgency=medium

  * Require newer dh-python which cleans .pytest_cache directory
  * Revert removing of pytest_cache manually
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Standards-Version is 4.3.0 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 17:31:51 +0100

alembic (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Remove pytest_cache directory after running tests (Closes: #909529)

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 25 Sep 2018 13:13:59 +0200

alembic (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #906334)
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Bump standards version to 4.2.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Aug 2018 13:23:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper (>= 11),
- dh-python,
+ dh-python (>= 3.20180927~),
  python-all,
  python-setuptools,
  python3-all,
@@ -28,7 +28,7 @@
  python3-mock,
  python3-pytest,
  python3-sqlalchemy (>= 1.0),
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/alembic
 Vcs-Git: https://salsa.debian.org/python-team/modules/alembic.git
 Homepage: https://bitbucket.org/zzzeek/alembic

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html docs/build $(CURDIR)/debian/alembic/usr/share/doc/alembic/html
+	python3 -m sphinx -b html docs/build $(CURDIR)/debian/alembic/usr/share/doc/alembic/html
 	dh_sphinxdoc
 	rm $(CURDIR)/debian/alembic/usr/share/doc/alembic/html/_static/site_custom_css.css
 endif

## alembic 1.1.0

=== docs/build/requirements.txt ===
git+https://github.com/sqlalchemyorg/changelog.git#egg=changelog
git+https://github.com/sqlalchemyorg/sphinx-paramlinks.git#egg=sphinx-paramlinks
git+https://github.com/sqlalchemy/sqlalchemy.git
python-dateutil
# because there's a dependency in pyfiles.py
Mako

=== debian/changelog ===
alembic (1.1.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote runtime dependency on python{3}-editor
      to Suggests to avoid inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patch out hard requirement on
      python-editor.
    - d/rules: Ignore any issues with removal of files post build.
    - Build against only the current python3, as alembic fails tests against
      python3.8.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Nov 2019 21:33:35 -0800

alembic (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Contact.
  * Enable Salsa GitLab CI
  * Bump Standards-Version to 4.4.1.
  * Bump required version of python3-sqlalchemy.
  * d/copyright: Fix for new upstream release.

 -- Ondřej Nový <onovy@debian.org>  Thu, 31 Oct 2019 14:54:59 +0100

alembic (1.0.11-5ubuntu2) focal; urgency=medium

  * Build against only the current python3, as alembic fails tests against
    python3.8.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Nov 2019 05:47:16 +0000

alembic (1.0.11-5ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote runtime dependency on python{3}-editor
      to Suggests to avoid inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patch out hard requirement on
      python-editor.
    - d/rules: Ignore any issues with removal of files post build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Oct 2019 12:59:28 -0700

alembic (1.0.11-5) unstable; urgency=medium

  * Remove Pytohn 2 packages from B-D
  * d/control: Fix alembic description
  * d/rules: Don't remove non-existance file

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 02:16:21 +0200

alembic (1.0.11-4) unstable; urgency=medium

  * New upstream release
  * d/copyright:
    - Rename MIT license to Expat
    - Bump my copyright year
  * d/patches: Rebased
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Add upstream metadata
  * Drop Python 2 support

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 01:31:23 +0200

alembic (1.0.0-2ubuntu2) disco; urgency=medium

  * d/rules: Ignore any issues with removal of files post build.

 -- James Page <james.page@ubuntu.com>  Thu, 22 Nov 2018 10:22:41 +0000

alembic (1.0.0-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote runtime dependency on python{3}-editor
      to Suggests to avoid inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patch out hard requirement on
      python-editor.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 09:37:31 +0000

alembic (1.0.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote runtime dependency on python{3}-editor
      to Suggests to avoid inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patch out hard requirement on
      python-editor.
  * Dropped, no longer needed:
    - d/p/sqlalchemy-compat.patch: Included in upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Aug 2018 10:48:39 +0100

alembic (0.9.7-1ubuntu2) cosmic; urgency=medium

  * d/p/sqlalchemy-compat.patch: Cherry pick fix from upstream VCS
    to resolve compat issues with later sqlalchemy versions.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Jul 2018 15:24:10 +0100

alembic (0.9.7-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote runtime dependency on python{3}-editor
      to Suggests to avoid inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patch out hard requirement on
      python-editor.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 May 2018 12:09:10 -0400

=== debian/control ===
Source: alembic
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python (>= 3.20180927~),
 python3,
 python3-changelog,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-paramlinks,
Build-Depends-Indep:
 python3-dateutil,
 python3-editor,
 python3-mako,
 python3-mock,
 python3-pytest,
 python3-sqlalchemy (>= 1.1.0),
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/alembic
Vcs-Git: https://salsa.debian.org/python-team/modules/alembic.git
Homepage: https://bitbucket.org/zzzeek/alembic
Testsuite: autopkgtest-pkg-python

Package: alembic
Architecture: all
Depends:
 python3-alembic (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-alembic (<< 0.8.8-3),
 python3-alembic (<< 0.8.8-3),
Replaces:
 python-alembic (<< 0.8.8-3),
 python3-alembic (<< 0.8.8-3),
Description: lightweight database migration tool for SQLAlchemy
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.
 .
 This package provides /usr/bin/alembic script and documentation for Alembic,
 and depends on the python3-alembic package which contains all the actual code
 (in Python 3) for Alembic to actually work.

Package: python3-alembic
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Breaks:
 alembic (<< 0.8.8-3),
Suggests:
 python3-editor,
Description: lightweight database migration tool for SQLAlchemy - Python module
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 include /usr/share/dpkg/pkg-info.mk
 export PYBUILD_NAME=alembic
 export PYBUILD_BEFORE_TEST=cp {dir}/setup.cfg {build_dir}
-export PYBUILD_AFTER_TEST=rm {build_dir}/setup.cfg ; rm -r {build_dir}/scratch ; rm {build_dir}/test_schema.db
+export PYBUILD_AFTER_TEST=rm -f {build_dir}/setup.cfg ; rm -rf {build_dir}/scratch ; rm -f {build_dir}/test_schema.db
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
@@ -18,7 +18,6 @@
 override_dh_auto_install:
 	dh_auto_install
 
-	rm -rf debian/python-alembic/usr/bin
 	mkdir -p debian/alembic/usr
 	mv $(CURDIR)/debian/python3-alembic/usr/bin $(CURDIR)/debian/alembic/usr/

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
https://bitbucket.org/zzzeek/alembic/downloads?tab=tags .*/rel_(\d\S+)\.tar\.gz

## alembic 1.4.2

=== debian/changelog ===
alembic (1.4.2-1ubuntu1~cloud0) focal-victoria; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 17 Sep 2020 16:40:58 +0000

alembic (1.4.2-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/disable-editor.patch: Patch out hard requirement on
      python-editor.
    - d/rules: Ignore any issues with removal of files post build.
  * Dropped changes, no longer needed:
    - Build against only the current python3, as alembic fails tests against
      python3.8.
    - d/control: Demote runtime dependency on python{3}-editor
      to Suggests to avoid inclusion in Ubuntu main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 20 Jun 2020 12:53:13 -0700

alembic (1.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #954523).
  * Bump debhelper compat level to 13.
  * Bump standards version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * d/copyright: Bump my copyright year.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 14:37:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python (>= 3.20180927~),
- python3,
+ python3-all,
  python3-changelog,
  python3-setuptools,
  python3-sphinx,
@@ -21,11 +21,12 @@
  python3-mock,
  python3-pytest,
  python3-sqlalchemy (>= 1.1.0),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/alembic
 Vcs-Git: https://salsa.debian.org/python-team/modules/alembic.git
 Homepage: https://bitbucket.org/zzzeek/alembic
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: alembic
 Architecture: all
@@ -66,8 +67,6 @@
  ${sphinxdoc:Depends},
 Breaks:
  alembic (<< 0.8.8-3),
-Suggests:
- python3-editor,
 Description: lightweight database migration tool for SQLAlchemy - Python module
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:

## alembic 1.4.3

=== debian/changelog ===
alembic (1.4.3-1) unstable; urgency=medium

  * New upstream release (Closes: #963644).
  * d/control: Change Maintainer to Debian Python Team
    <team+python@tracker.debian.org>.
  * d/control: Fix wrong Vcs-*.
  * Add pytest 6.x support.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Oct 2020 14:48:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
@@ -22,8 +21,8 @@
  python3-pytest,
  python3-sqlalchemy (>= 1.1.0),
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/alembic
-Vcs-Git: https://salsa.debian.org/python-team/modules/alembic.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/alembic
+Vcs-Git: https://salsa.debian.org/python-team/packages/alembic.git
 Homepage: https://bitbucket.org/zzzeek/alembic
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk
 export PYBUILD_NAME=alembic
 export PYBUILD_BEFORE_TEST=cp {dir}/setup.cfg {build_dir}
-export PYBUILD_AFTER_TEST=rm -f {build_dir}/setup.cfg ; rm -rf {build_dir}/scratch ; rm -f {build_dir}/test_schema.db
+export PYBUILD_AFTER_TEST=rm {build_dir}/setup.cfg ; rm -r {build_dir}/scratch ; rm {build_dir}/test_schema.db
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## alembic 1.4.3-1+10.0trisquel1

=== debian/changelog ===
alembic (1.4.3-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from debian testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 28 May 2021 16:55:23 +0000

## alembic 1.6.5

=== debian/changelog ===
alembic (1.6.5-0ubuntu1) impish; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/p/0002-Support-pytest-6-x.patch: Dropped. No longer needed.
  * d/p/disable-editor.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Jul 2021 15:59:12 -0400

alembic (1.4.3-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/disable-editor.patch: Patch out hard requirement on
      python-editor.
    - d/rules: Ignore any issues with removal of files post build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Oct 2020 13:33:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
@@ -21,8 +22,8 @@
  python3-pytest,
  python3-sqlalchemy (>= 1.1.0),
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/packages/alembic
-Vcs-Git: https://salsa.debian.org/python-team/packages/alembic.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/alembic
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/alembic
 Homepage: https://bitbucket.org/zzzeek/alembic
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## alembic 1.7.6

=== docs/build/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,5 @@
 python-dateutil
 # because there's a dependency in pyfiles.py
 Mako
+importlib-metadata;python_version<"3.8"
+importlib-resources;python_version<"3.9"

=== debian/changelog ===
alembic (1.7.6-1~cloud0) focal-yoga; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 22 Feb 2022 17:38:06 +0000

alembic (1.7.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.
    + Build-Depends-Indep: Drop versioned constraint on python3-sqlalchemy.
    + alembic: Drop versioned constraint on python-alembic and python3-alembic
      in Replaces.
    + alembic: Drop versioned constraint on python-alembic and python3-alembic
      in Breaks.
    + python3-alembic: Drop versioned constraint on alembic in Breaks.

  [ Thomas Goirand ]
  * Fix debian/watch to use github instead of bitbucket.
  * Update d/control and d/copyright upstream URLs to point to github.
  * New upstream release:
    - Fixes FTBFS with newer SQLAlchemy (Closes: #1006044).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 10:59:51 +0100

alembic (1.7.1-2) experimental; urgency=medium

  * Add -f when doing rm after tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 11:00:21 +0200

alembic (1.7.1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed 0002-Support-pytest-6-x.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Sep 2021 08:46:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python (>= 3.20180927~),
+ dh-python,
  python3-all,
  python3-changelog,
+ python3-importlib-resources,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-paramlinks,
@@ -20,11 +20,11 @@
  python3-mako,
  python3-mock,
  python3-pytest,
- python3-sqlalchemy (>= 1.1.0),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/alembic
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/alembic
-Homepage: https://bitbucket.org/zzzeek/alembic
+ python3-sqlalchemy,
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/alembic
+Vcs-Git: https://salsa.debian.org/python-team/packages/alembic.git
+Homepage: https://github.com/sqlalchemy/alembic
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
@@ -35,12 +35,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},
-Breaks:
- python-alembic (<< 0.8.8-3),
- python3-alembic (<< 0.8.8-3),
-Replaces:
- python-alembic (<< 0.8.8-3),
- python3-alembic (<< 0.8.8-3),
 Description: lightweight database migration tool for SQLAlchemy
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
@@ -61,12 +55,11 @@
 Package: python3-alembic
 Architecture: all
 Depends:
+ python3-importlib-resources,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},
-Breaks:
- alembic (<< 0.8.8-3),
 Description: lightweight database migration tool for SQLAlchemy - Python module
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
